image: inovex/gitlab-ci-android

variables:
  GRADLE_OPTS: "-Dorg.gradle.daemon=false"
  ANDROID_COMPILE_SDK: "30"
  ANDROID_BUILD_TOOLS: "30.0.3"
  ANDROID_SDK_TOOLS:   "8512546_latest"

before_script:
  - apt-get --quiet update --yes
  - apt-get --quiet install --yes wget tar unzip libstdc++6 libbz2-1.0
  - wget --quiet --output-document=android-sdk.zip https://dl.google.com/android/repository/commandlinetools-linux-${ANDROID_SDK_TOOLS}.zip
  - unzip -d android-sdk-linux android-sdk.zip
  - echo y | android-sdk-linux/cmdline-tools/bin/sdkmanager --sdk_root=. "platforms;android-${ANDROID_COMPILE_SDK}" >/dev/null
  - echo y | android-sdk-linux/cmdline-tools/bin/sdkmanager --sdk_root=. "platform-tools" >/dev/null
  - echo y | android-sdk-linux/cmdline-tools/bin/sdkmanager --sdk_root=. "build-tools;${ANDROID_BUILD_TOOLS}" >/dev/null
  - export ANDROID_SDK_ROOT=$PWD
  - export PATH=$PATH:$PWD/platform-tools/
  - export JAVA_HOME=/usr/lib/jvm/java-11-openjdk-amd64
  - export GRADLE_USER_HOME=$(pwd)/.gradle
  - chmod +x ./gradlew
  # temporarily disable checking for EPIPE error and use yes to accept all licenses
  - set +o pipefail
  - yes | android-sdk-linux/cmdline-tools/bin/sdkmanager --sdk_root=. --licenses
  - set -o pipefail

cache:
  key: ${CI_PROJECT_ID}
  paths:
    - .gradle/

stages:
  - build
  - test
  - deploy

lintDebug:
  stage: build
  tags:
    - ci-cd-spot-amd64
  script:
    - ./gradlew test

include:
  - project: "CordialExperiences/apps/app-gitlab-snippets"
    ref: master
    file: "services/secret-detection.yml"

secret_detection:
  stage: test

#assembleDebug:
#  stage: build
#  tags:
#    - ci-cd-spot-amd64
#  script:
#    - ./gradlew assembleDebug
#  artifacts:
#    paths:
#      - app/build/outputs/
#
#debugTests:
#  stage: test
#  tags:
#    - ci-cd-spot-amd64
#  script:
#    - ./gradlew -Pci --console=plain :app:testDebug
#
#deploy:
#  stage: deploy
#  tags:
#    - ci-cd-spot-amd64
#  rules:
#    - if: '$CI_COMMIT_BRANCH =~ /^v[0-9]+\.[0-9]+\.[0-9]+$/ || $CI_COMMIT_TAG =~ /^v[0-9]+\.[0-9]+\.[0-9]+$/'
#  script:
#    ./gradlew cordialsdk:publishReleasePublicationToSonatypeRepository --max-workers 1 closeAndReleaseSonatypeStagingRepository